// Copyright (c) 2023 Tudor Stanciu

import { TuitioUserInfo } from "@flare/tuitio-client";

export type TuitioConfiguration = { tuitioUrl: string | null };
export type TuitioReactState = {
  auth: {
    userName: string | null;
    token: string | null;
    validUntil: Date | null;
  };
  userInfo?: TuitioUserInfo;
  configuration: TuitioConfiguration;
};
export type TuitioDispatchActions = {
  onLoginSuccess: (token: string, validUntil: Date, userName: string) => void;
  onLogoutSuccess: () => void;
  onUserInfoLoaded: (userInfo: TuitioUserInfo) => void;
};
